Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
sam8xd

Lisp về lệnh measure

Các bài được khuyến nghị

sam8xd    8

Trong cad mình gõ lệnh: measure -> chọn pline -> "b" -> "tenblock" "y" 10 enter -> kết quả là chèn block với các khoảng cách bắt đầu từ đỉnh đầu tiên là 10, 20, 30 ....

 

Nhưng khi mình sử dụng dòng lệnh trong lisp như sau:

(Command "measure" (car (entsel "\nSelect object to measure: ")) "b" "tenblock" "y" 10) -> kết quả là chèn block với khoảng cách bắt đầu từ đỉnh cuối là 10, 20, 30 .....

 

Ai biết tại sao không xin giúp với.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Nguyen Hoanh    4.524

Trong cad mình gõ lệnh: measure -> chọn pline -> "b" -> "tenblock" "y" 10 enter -> kết quả là chèn block với các khoảng cách bắt đầu từ đỉnh đầu tiên là 10, 20, 30 ....

 

Nhưng khi mình sử dụng dòng lệnh trong lisp như sau:

(Command "measure" (car (entsel "\nSelect object to measure: ")) "b" "tenblock" "y" 10) -> kết quả là chèn block với khoảng cách bắt đầu từ đỉnh cuối là 10, 20, 30 .....

 

Ai biết tại sao không xin giúp với.

Lệnh Measure quan tâm đến việc bạn pick vào phía nào của pline.

 

Để có được kết quả như ý muốn, bạn sửa lại thành (Command "measure" (entsel "\nSelect object to measure: ") "b" "tenblock" "y" 10) tức là bỏ đi lệnh car trong dòng lệnh của bạn

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×